Seite 1 von 1

EPE 4.2.7

Verfasst: 06. Okt 2016, 23:07
von ctearney
I am trying to load the new Boot Image 4.2.7 by following the document "Matrix42 Boot Image Upgrade to EPE 4 - HowTo" but am not getting very far. After downloading the latest version from the Marketplace, copying it to the Empirum Server under Empirum\AddOns\EPE40, executing the powershell script, and entering the designated boot disk configuration the below error appears.

Please enter the boot disk configuration id (e.g. 5): 10
Could not find the file F:\Empirum\EmpInst\Wizard\Image\VirtualRoots\BootEnvironment\10\boot\grub\grub.cfg . Please check the boot disk configuration Id name and try again.


Is there a prior step to building the new EPE-4-LV boot image that needs to be done in order to get the missing folder/s to appear under Empirum\EmpInst\Wizard\Image\VirtualRoots\BootEnvironment\10?

I am running Empirum v16.1 which was installed new just a month or so ago in our test environment and there is only a single server at this time (primary server only).

Re: EPE 4.2.7

Verfasst: 07. Okt 2016, 12:57
von schnock
Have you checked if the file does exist? You could try to just re-create the PXE image via the EMC and try the EPE4 update again.

Re: EPE 4.2.7

Verfasst: 07. Okt 2016, 15:29
von ctearney
I have checked the location and the folder/files do not exist. I also rebuilt several Boot Disk Configs rerunning the "Create PXE" option multiple times with no change.

I wonder if there is an additional option or service that has to be enabled for these files to appear. The regular Empirum Preinstallation Environment functions without these files so I am guessing these are additions and whatever is responsible for creating them is broken or not turned on. (see attached screenshot of BootEnvironment Files).

Re: EPE 4.2.7

Verfasst: 10. Okt 2016, 16:17
von schnock
It seems to be related to the PXE "Installation Type" settings. Please check your settings and change it to "Empirum PE2 Latest Version".
You may need to download the the latest Kernel version via "Hardware\Driver Administration" in advance.

Once you created the PXE with the "latest version" you will have all needed files for the EPE4 update.

Re: EPE 4.2.7

Verfasst: 10. Okt 2016, 20:21
von ctearney
Thanks for the suggestions, I have tried what I can and still cant get the files to appear. I will open a ticket with support and see what they say.

Re: EPE 4.2.7

Verfasst: 13. Okt 2016, 22:59
von ctearney
I got this one sorted as I found out I was reading the version incorrectly. For example, in the console under Hardware>Driver Administration>Empirum PE2>Kernel if you sort the first column by name it puts the PE's in alphabetical order. I assumed that this would sort by version as the name convention was version then sub-version (PE2 3.7.7-gentoo_3.56)

I read 3.7.7-gentoo_3.56 which was the last item in the list as being the latest/newest version when in fact the latest version is 3.14.4-gentoo_3.75. In reading version numbers I always treated them like decimal point (.3 (30%) is greater than .15(15%)). Once I pulled down 3.14.4 everything began working properly.